package pps.core.base.service.data.base_excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import pps.core.base.excel.OilExtractionPlantImpl;
import pps.core.common.excel.ExcelSelected;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * excel柴发设备模板
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class ExcelDieselGeneratorTemplate implements Serializable {

    private static final long serialVersionUID = -6773651457799858074L;

    /**
     * 采油厂名称
     */
    @ExcelSelected(sourceClass = OilExtractionPlantImpl.class)
    @ExcelProperty(index = 0, value = "采油厂名称")
    private String ouName;

    /**
     * 设备名称
     */
    @ExcelProperty(index = 1, value = "设备名称")
    private String deviceName;

    /**
     * 出厂编号
     */
    @ExcelProperty(index = 2, value = "出厂编号")
    private String makerNumber;

    /**
     * 机组型号
     */
    @ExcelProperty(index = 3, value = "机组型号")
    private String unitTypeName;

    /**
     * 常用功率(KW)
     */
    @ExcelProperty(index = 4, value = "常用功率(KW)")
    private BigDecimal normalPower;

    /**
     * 备用功率(KW)
     */
    @ExcelProperty(index = 5, value = "备用功率(KW)")
    private BigDecimal standbyPower;
}